org.apache.flume.source.http

## Interface HTTPSourceHandler

- All Superinterfaces:
    Configurable
  All Known Implementing Classes:
    BlobHandler, BLOBHandler, JSONHandler

      public interface HTTPSourceHandler
      extends Configurable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Event>` | `getEvents(javax.servlet.http.HttpServletRequest request)` Takes an HttpServletRequest and returns a list of Flume Events.

    - ### Methods inherited from interface org.apache.flume.conf.Configurable

      `configure`

- - ### Method Detail

    - #### getEvents

          List<Event> getEvents(javax.servlet.http.HttpServletRequest request)
                                throws HTTPBadRequestException,
                                       Exception

      Takes an HttpServletRequest and returns a list of Flume Events. If this request cannot be parsed into Flume events based on the format this method will throw an exception. This method may also throw an exception if there is some sort of other error.

      Parameters:
        `request` - The request to be parsed into Flume events.
      Returns:
        List of Flume events generated from the request.
      Throws:
        `HTTPBadRequestException` - If the was not parsed correctly into an event because the request was not in the expected format.
        `Exception` - If there was an unexpected error.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.